#
# IMPORTANT NOTE
#
# This chart inherits from our common library chart. You can check the default values/options here:
# https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml
#

image:
  # -- image repository
  repository: louislam/uptime-kuma
  # -- image tag
  # @default -- chart.appVersion
  tag:
  # -- image pull policy
  pullPolicy: IfNotPresent

    # -- environment variables. See [application docs](https://github.com/louislam/uptime-kuma/wiki/Environment-Variables) for more details.
# @default -- See below
env:
  # -- Set the container timezone
  TZ: UTC
  # -- Set the custom ssl cert path (string)
  # UPTIME_KUMA_SSL_CERT:
  # -- Set the custom ssl key path (string)
  # UPTIME_KUMA_SSL_KEY:
  # -- Set the frame same-origin policy (int)
  UPTIME_KUMA_DISABLE_FRAME_SAMEORIGIN: 0

# -- Configures service settings for the chart.
# @default -- See values.yaml
service:
  main:
    ports:
      http:
        port: 3001

ingress:
  # -- Enable and configure ingress settings for the chart under this key.
  # @default -- See values.yaml
  main:
    enabled: false

# -- Configure persistence settings for the chart under this key.
# @default -- See values.yaml
persistence:
  data:
    enabled: false
    mountPath: /app/data
